Name:       alarm-manager
Summary:    Alarm library
Version:    0.8.2
Release:    1
Group:      System/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1:    alarm-server.service
Source2:    alarm-session-agent.service
Source3:    alarm-session-agent.socket
Source4:    alarm-manager.conf
Source5:    99-rtc.rules
Source6:    alarm-session-agent@.service
Source7:    alarm-session-agent@.socket
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: cmake
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(bundle)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(appsvc)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(pkgmgr)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(capi-system-device)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(eventsystem)
BuildRequires: pkgconfig(notification)
BuildRequires: python-xml
BuildRequires: pkgconfig(capi-system-info)
BuildRequires: pkgconfig(cert-svc-vcore)
BuildRequires: pkgconfig(cynara-client)
BuildRequires: pkgconfig(cynara-session)
BuildRequires: pkgconfig(cynara-creds-gdbus)

%description
Alarm Server and devel libraries


%package -n alarm-server
Summary:    Alarm server
Group:      Development/Libraries

%description -n alarm-server
Alarm Server, manages alarms


%package -n libalarm
Summary:    Alarm server libraries
Group:      Development/Libraries
Requires:   alarm-server = %{version}-%{release}

%description -n libalarm
Alarm server libraries for client


%package -n libalarm-devel
Summary:    Alarm server libraries (devel)
Group:      Development/Libraries
Requires:   libalarm = %{version}-%{release}

%description -n libalarm-devel
Alarm server libraries development package (devel)


%package -n alarm-config-all-service-permitted
Summary:    Configuration for permitting all service applications
Group:      Development/Libraries
Requires:   libalarm = %{version}-%{release}

%description -n alarm-config-all-service-permitted
A configuration file package for permitting all service applications


%package -n alarm-config-platform-service-permitted
Summary:    Configuration for permitting platform service applications
Group:      Development/Libraries
Requires:   libalarm = %{version}-%{release}

%description -n alarm-config-platform-service-permitted
A configuration file package for permitting all service applications that have been platform certified


%package -n alarm-config-service-restricted
Summary:    Configuration for restricting service applications
Group:      Development/Libraries
Requires:   libalarm = %{version}-%{release}

%description -n alarm-config-service-restricted
A configuration file package for restricting service applications


%prep
%setup -q


%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`

export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"
%define appfw_feature_alarm_manager_module_log 1
%if 0%{?appfw_feature_alarm_manager_module_log}
	_APPFW_FEATURE_ALARM_MANAGER_MODULE_LOG=ON
%endif

%cmake . -DOBS=1 \
	-DFULLVER=%{version} \
	-DMAJORVER=${MAJORVER} \
	-DTZ_SYS_ETC=%{TZ_SYS_ETC} \
	-D_APPFW_FEATURE_ALARM_MANAGER_MODULE_LOG:BOOL=${_APPFW_FEATURE_ALARM_MANAGER_MODULE_LOG} \
	-DALARM_CONF_DIR=%{_datadir}/alarm-manager

make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}%{_unitdir}/multi-user.target.wants
mkdir -p %{buildroot}%{_unitdir_user}/sockets.target.wants
mkdir -p %{buildroot}%{_unitdir}/user-sockets@.target.wants
install -m 0644 %SOURCE1 %{buildroot}%{_unitdir}/alarm-server.service
install -m 0644 %SOURCE2 %{buildroot}%{_unitdir_user}/alarm-session-agent.service
install -m 0644 %SOURCE3 %{buildroot}%{_unitdir_user}/alarm-session-agent.socket
install -m 0644 %SOURCE6 %{buildroot}%{_unitdir}/alarm-session-agent@.service
install -m 0644 %SOURCE7 %{buildroot}%{_unitdir}/alarm-session-agent@.socket
ln -s ../alarm-server.service %{buildroot}%{_unitdir}/multi-user.target.wants/alarm-server.service
ln -sf ../alarm-session-agent.socket %{buildroot}%{_unitdir_user}/sockets.target.wants/alarm-session-agent.socket
ln -sf ../alarm-session-agent@.socket %{buildroot}%{_unitdir}/user-sockets@.target.wants/alarm-session-agent@.socket
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %SOURCE4 %{buildroot}%{_tmpfilesdir}/alarm-manager.conf
mkdir -p %{buildroot}%{_libdir}/udev/rules.d
install -m 0644 %SOURCE5 %{buildroot}%{_libdir}/udev/rules.d

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n alarm-server

%post -n libalarm
/sbin/ldconfig

%postun -n libalarm
/sbin/ldconfig

%posttrans -n alarm-server
if [ -e /etc/config/model-config.xml ]; then
	grep "feature\/profile.*tv" /etc/config/model-config.xml > /dev/null
	if [ $? -eq 0 ]; then
		rm %{_libdir}/udev/rules.d/99-rtc.rules
	fi
fi

%files -n alarm-server
%manifest alarm-server.manifest
%{_bindir}/*
%attr(0755,root,root) %{_bindir}/alarm-server
%attr(0755,root,root) %{_bindir}/alarm_session_agent
%attr(0644,root,root) %{_unitdir}/alarm-server.service
%{_unitdir}/multi-user.target.wants/alarm-server.service
%{_unitdir_user}/alarm-session-agent.service
%{_unitdir_user}/alarm-session-agent.socket
%{_unitdir}/alarm-session-agent@.service
%{_unitdir}/alarm-session-agent@.socket
%{_unitdir_user}/sockets.target.wants/alarm-session-agent.socket
%{_unitdir}/user-sockets@.target.wants/alarm-session-agent@.socket
%attr(0644,root,root) %{_datadir}/dbus-1/system-services/org.tizen.alarm.manager.service
%license LICENSE
%config %{_sysconfdir}/dbus-1/system.d/alarm-service.conf
%{_tmpfilesdir}/alarm-manager.conf
%{_libdir}/udev/rules.d/99-rtc.rules
%if 0%{?appfw_feature_alarm_manager_module_log}
%attr(0755,root,root) %{TZ_SYS_ETC}/dump.d/module.d/alarmmgr_log_dump.sh
%endif

%files -n libalarm
%manifest alarm-lib.manifest
%attr(0644,root,root) %{_libdir}/libalarm.so.*
%{_libdir}/*.so.*
%license LICENSE

%files -n libalarm-devel
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files -n alarm-config-all-service-permitted
%{_datadir}/alarm-manager/alarm-config-all-service-permitted

%files -n alarm-config-platform-service-permitted
%{_datadir}/alarm-manager/alarm-config-platform-service-permitted

%files -n alarm-config-service-restricted
%{_datadir}/alarm-manager/alarm-config-service-restricted
